Bug 204534 - Added AUTORECONF definition in Uses/autoreconf.mk
Summary: Added AUTORECONF definition in Uses/autoreconf.mk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-11-13 22:14 UTC by Yuri Victorovich
Modified: 2016-05-12 16:20 UTC (History)
1 user (show)

See Also:
koobs: merge-quarterly?


Attachments
patch (408 bytes, patch)
2015-11-13 22:14 UTC, Yuri Victorovich
no flags Details | Diff
patch2 (3.15 KB, patch)
2015-11-15 14:30 UTC, Tijl Coosemans
antoine: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2015-11-13 22:14:25 UTC
Created attachment 163104 [details]
patch

When the port has USES=autoreconf, port can expect that autoreconf executable is aliased to AUTORECONF. ports-mgmt/portlint also complains about the unaliased use of autoreconf.
Comment 1 Tijl Coosemans freebsd_committer 2015-11-15 14:30:58 UTC
Created attachment 163136 [details]
patch2

- Move the defintion of AUTORECONF and use ?= instead of ".if defined"
- Use AUTORECONF throughout the ports tree
Comment 2 Antoine Brodin freebsd_committer 2015-11-15 14:37:57 UTC
Comment on attachment 163136 [details]
patch2

Maybe you can change the MAINTAINER line in the file  (it is still autotools@FreeBSD.org)
Comment 3 commit-hook freebsd_committer 2015-11-15 15:35:02 UTC
A commit references this bug:

Author: tijl
Date: Sun Nov 15 15:34:52 UTC 2015
New revision: 401710
URL: https://svnweb.freebsd.org/changeset/ports/401710

Log:
  Let USES=autoreconf define AUTORECONF and use it throughout the tree.

  PR:		204534
  Approved by:	portmgr (antoine)

Changes:
  head/Mk/Uses/autoreconf.mk
  head/devel/ptlib/Makefile
  head/games/qqwing/Makefile
  head/net/tigervnc/Makefile
  head/print/fontforge/Makefile